
Robotics Service Bus - Bug #554
CMake configuration succeeds with wrong wire format version
09/07/2011 03:36 PM - J. Wienke

Status: Rejected Start date: 09/07/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 0%
Category: C++ Estimated time: 0.00 hour
Target version: 0.5
Description

-- Threading library: -lpthread
-- Found PROTOBUF: /usr/lib/libprotobuf.so
RSBProtocol: Wire-format version mismatch; Requested: 5; Provided: 4
-- RSBProtocol: Matching wire-format version (5)
-- Searching for spread library with name libspread.a
-- Found Spread: /homes/jwienke/local/lucid/x86_64/lib/libspread.a
-- Boost_LIBRARIES:
/usr/lib/libboost_thread-mt.so;/usr/lib/libboost_date_time-mt.so;/usr/lib/libboost_regex-mt.so;/usr/lib/libboost_filesystem-mt.so;/usr/lib/libboost_system-mt.so
-- Found PythonInterp: /usr/bin/python2.6
-- Generated doxygen target (doc):
       PROJECT_NAME: RSB
       PROJECT_VERSION: 0.5.0
       INSTALL_DIR: share/RSB
       AUTO_INSTALL: FALSE
-- Creating sloccount target for folders: src;test;examples;apps with result file /homes/jwienke/workspace/RSB/build
sr/lib/libboost_system-mt.so
-- Found PythonInterp: /usr/bin/python2.6
-- Generated doxygen target (doc):
       PROJECT_NAME: RSB
       PROJECT_VERSION: 0.5.0
       INSTALL_DIR: share/RSB
       AUTO_INSTALL: FALSE
-- Creating sloccount target for folders: src;test;examples;apps with result file
/homes/jwienke/workspace/RSB/build/sloccount.sc
-- Generating cppcheck target with name cppcheck
-- Configuring done
-- Generating done
-- Build files have been written to: /homes/jwienke/workspace/RSB/build

This should have marked the configuration as incomplete to my mind.

History
#1 - 09/07/2011 03:46 PM - J. Moringen
- Status changed from New to Feedback

This output is most likely produced by multiple installations of distinct versions of rsb-protocol in distinct locations:
    -  An installation of rsb-protocol, version 4 produces this message:

RSBProtocol: Wire-format version mismatch; Requested: 5; Provided: 4

This version cannot be used to satisfy the dependency, therefore CMake continues to search
    -  In a different location an installation of rsb-protocol, version 5 is found, producing this message

-- RSBProtocol: Matching wire-format version (5)
and satisfying the dependency

Newer versions of rsb-protocol print additional explanations accompanying the first message, but these changes cannot retroactively affect old installed
versions, obviously.

#2 - 09/07/2011 09:29 PM - J. Wienke

Ok, I was not aware that cmake continues to search when an old version was hit and the warning was issued. Strangely it must then have found the
version from my checked-out workspace, which is strange. No other correct version was available.

#3 - 09/07/2011 09:41 PM - J. Moringen
- Status changed from Feedback to Rejected

#4 - 10/27/2011 08:06 PM - J. Moringen
- Target version changed from rsb-0.10 to 0.5
